Debian Bug report logs - #704022
fonts-freefont-ttf: \lfloor and \rfloor interverted

version graph

Package: fonts-freefont-ttf; Maintainer for fonts-freefont-ttf is Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>; Source for fonts-freefont-ttf is src:fonts-freefont.

Reported by: Christophe TROESTLER <Christophe.Troestler@umons.ac.be>

Date: Tue, 26 Mar 2013 22:24:01 UTC

Severity: minor

Tags: confirmed, fixed-upstream, upstream

Found in version fonts-freefont/20120503-1

Forwarded to http://savannah.gnu.org/bugs/index.php?38638

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Christophe.Troestler@umons.ac.be, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#704022; Package fonts-freefont-ttf. (Tue, 26 Mar 2013 22:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe TROESTLER <Christophe.Troestler@umons.ac.be>:
New Bug report received and forwarded. Copy sent to Christophe.Troestler@umons.ac.be, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Tue, 26 Mar 2013 22:24:05 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Christophe TROESTLER <Christophe.Troestler@umons.ac.be>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Subject: fonts-freefont-ttf: \lfloor and \rfloor interverted
Date: Tue, 26 Mar 2013 23:14:28 +0100
Package: fonts-freefont-ttf
Version: 20120503-1
Severity: minor

When using this font in Emacs the glyphs for LEFT FLOOR (⌊) and RIGHT
FLOOR (⌋) are interverted.  "FreeMono" or "DejaVu Sans Mono" have the
right symbols.

-- System Information:
Debian Release: 7.0
  APT prefers testing
  APT policy: (900, 'testing'), (400, 'unstable'), (300, 'stable'), (100, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.7.9 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#704022; Package fonts-freefont-ttf. (Sun, 31 Mar 2013 05:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Sun, 31 Mar 2013 05:57:04 GMT) Full text and rfc822 format available.

Message #10 received at 704022@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 704022@bugs.debian.org
Subject: Re: Bug#704022: fonts-freefont-ttf: \lfloor and \rfloor interverted
Date: Sun, 31 Mar 2013 14:55:21 +0900
Control: tags -1 +confirmed

On Tue, 26 Mar 2013 23:14:28 +0100
Christophe TROESTLER <Christophe.Troestler@umons.ac.be> wrote:
> Package: fonts-freefont-ttf
> Version: 20120503-1
> Severity: minor
> 
> When using this font in Emacs the glyphs for LEFT FLOOR (⌊) and RIGHT
> FLOOR (⌋) are interverted.  "FreeMono" or "DejaVu Sans Mono" have the
> right symbols.

 Confirmed on gucharmap, FreeSans has wrong glyphs.


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Added tag(s) confirmed. Request was from Hideki Yamane <henrich@debian.or.jp> to 704022-submit@bugs.debian.org. (Sun, 31 Mar 2013 05:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#704022; Package fonts-freefont-ttf. (Sun, 31 Mar 2013 06:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Sun, 31 Mar 2013 06:06:04 GMT) Full text and rfc822 format available.

Message #17 received at 704022@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 704022@bugs.debian.org, Steve White <stevan.white@googlemail.com>
Subject: Re: [Pkg-fonts-devel] Bug#704022: fonts-freefont-ttf: \lfloor and \rfloor interverted
Date: Sun, 31 Mar 2013 08:03:01 +0200
[Message part 1 (text/plain, inline)]
Quoting Hideki Yamane (henrich@debian.or.jp):
> Control: tags -1 +confirmed
> 
> On Tue, 26 Mar 2013 23:14:28 +0100
> Christophe TROESTLER <Christophe.Troestler@umons.ac.be> wrote:
> > Package: fonts-freefont-ttf
> > Version: 20120503-1
> > Severity: minor
> > 
> > When using this font in Emacs the glyphs for LEFT FLOOR (⌊) and RIGHT
> > FLOOR (⌋) are interverted.  "FreeMono" or "DejaVu Sans Mono" have the
> > right symbols.
> 
>  Confirmed on gucharmap, FreeSans has wrong glyphs.


OK, let's be sure that Steve sees this. IIRC, Steve, you're subscribed
to the Debian pkg-fonts-devel mailing list, but the list sometimes has
some high traffic, so you might miss this issue.

If you prefer, we can also report this in your upstream bugtracker
(just needs the time for me to remember the needed information..:-)).


[signature.asc (application/pgp-signature, inline)]

Added tag(s) upstream. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Sun, 31 Mar 2013 06:09:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://savannah.gnu.org/bugs/index.php?38638'. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Sun, 31 Mar 2013 06:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#704022; Package fonts-freefont-ttf. (Sun, 31 Mar 2013 10:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve White <stevan.white@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Sun, 31 Mar 2013 10:15:07 GMT) Full text and rfc822 format available.

Message #26 received at 704022@bugs.debian.org (full text, mbox):

From: Steve White <stevan.white@gmail.com>
Cc: 704022@bugs.debian.org
Subject: Re: [bug #38638] FreeSans LEFT FLOOR (⌊) and RIGHT FLOOR (⌋) are interverted
Date: Sun, 31 Mar 2013 12:12:09 +0200
This bug has now been fixed in version control.

Thanks, Christophe, Hideki, and Christian!

On Sun, Mar 31, 2013 at 8:05 AM, anonymous <INVALID.NOREPLY@gnu.org> wrote:
> URL:
>   <http://savannah.gnu.org/bugs/?38638>
>
>                  Summary: FreeSans LEFT FLOOR (⌊) and RIGHT FLOOR (⌋) are
> interverted
>                  Project: Free UCS Outline Fonts
>             Submitted by: None
>             Submitted on: 2013年03月31日 06時05分15秒
>                 Category: individual character(s)
>                 Severity: 3 - Normal
>               Item Group: glyph(s) incorrect
>                   Status: None
>                  Privacy: Public
>              Assigned to: None
>              Open/Closed: Open
>          Discussion Lock: Any
>                  Release: 2012-05-03
>
>     _______________________________________________________
>
> Details:
>
> As reported on Debian BTS,
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=704022
>
> glyphs for LEFT FLOOR (⌊) and RIGHT FLOOR (⌋) are interverted in FreeSans
>
>
>
>
>     _______________________________________________________
>
> Reply to this item at:
>
>   <http://savannah.gnu.org/bugs/?38638>
>
> _______________________________________________
>   Message sent via/by Savannah
>   http://savannah.gnu.org/
>



Added tag(s) fixed-upstream. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Sun, 31 Mar 2013 12:54:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions freefont/20120503-4. Request was from Francesca Ciceri <madamezou@debian.org> to control@bugs.debian.org. (Sat, 29 Mar 2014 10:15:10 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions freefont/20120503-4. Request was from Francesca Ciceri <madamezou@debian.org> to control@bugs.debian.org. (Sat, 29 Mar 2014 10:33:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:14:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.